#
# spec file for package serd
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0

Name:           serd
Version:        0.20.0
Release:        5.3
Summary:        A lightweight C library for RDF syntax
License:        ISC
Group:          System/Libraries
Url:            http://drobilla.net/software/serd/
Source0:        http://download.drobilla.net/serd-%{version}.tar.bz2
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkg-config
BuildRequires:  python-base

%description
A lightweight C library for RDF syntax  which supports reading and writing Turtle and NTriples.

%package        -n serdi
Summary:        Read and write RDF syntax
Group:          Productivity/Editors/Other

%description    -n serdi
Read and write RDF syntax.

%package        -n libserd-0-%{soname}
Summary:        A lightweight C library for RDF syntax
Group:          System/Libraries

%description    -n libserd-0-%{soname}
A lightweight C library for RDF syntax which supports reading and writing Turtle and NTriples.

%package        -n libserd-0-devel
Summary:        Development files for libserd
Group:          Development/Libraries/C and C++
Requires:       libserd-0-%{soname} = %{version}

%description    -n libserd-0-devel
Development files for libserd.

%prep
%setup -q

%build
export CFLAGS='%{optflags}'
export CXXFLAGS='%{optflags}'
./waf configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --docdir=%{_defaultdocdir} \
  --docs
# waf only understands -j, so do not use smp_mflags
./waf build -v %{?jobs:-j%jobs}

%install
./waf install --destdir=%{?buildroot}

%post -n libserd-0-%{soname} -p /sbin/ldconfig

%postun -n libserd-0-%{soname} -p /sbin/ldconfig

%files -n serdi
%defattr(0644,root,root,0755)
%attr(0755,-,-) %{_bindir}/serdi
%{_mandir}/man1/serdi.1*

%files -n libserd-0-%{soname}
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libserd-0.so.%{soname}*

%files -n libserd-0-devel
%defattr(0644,root,root,0755)
%{_libdir}/libserd-0.so
%{_includedir}/serd-0/
%{_libdir}/pkgconfig/serd-0.pc
%{_defaultdocdir}/serd-0/
%{_mandir}/man3/*

%changelog
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 0.20.0
  * Support new RDF 1.1 Turtle
  * Don't write xsd:decimal literals to Turtle bare if they would not be read
    back with the same type
  * Fix possible crash in serd_writer_end_anon() when writing invalid lists
  * Generate blank names like _:b1 and _:B2 not _:genid1 _:docid2
  * Correctly handle posix_memalign failure
  * Fix const-correctness violation for reader input string
  * Add -lm to pkg-config libs
  * Update to waf 1.7.14
* Tue Jan  8 2013 reddwarf@opensuse.org
- Update to 0.18.2
  * Fix crash when serd_node_new_decimal is called with infinity or NaN
  * Fix crash when resolving against non-standard base URIs
  * Fix bug that caused "a" abbreviation in non-predicate position
  * Disable timestamps in HTML documentation for reproducible build
  * Fix clashing symbol "error" in amalgamation build
  * Update to waf 1.7.8 and autowaf r90 (install docs to versioned directory)
- Remove serd-0.18.0-build_compare.patch. Applied upstream.
* Sun Aug 26 2012 reddwarf@opensuse.org
- Update to 0.18.0
  * Support digits at start of local names as per new Turtle
    grammar
  * Add incremental read interface suitable for reading from
    infinite streams
  * Add -e option to serdi to use incremental reading
  * Add error callback to reader and writer for custom error
    reporting
  * Add -q option to serdi to suppress all non-data
    output, e.g. errors
  * Reset indent when finishing a write
  * Report write size correctly when invalid UTF-8 is encountered
    and a replacement character is written
  * Strip down API documentation to a single clean page
  * Fix various hyper-strict warnings
  * Do not require a C++ compiler to build
  * Add option to build utilities as static binaries
  * Upgrade to waf 1.7.2
- Add serd-0.18.0-build_compare.patch to make build reproducible
* Wed Aug  8 2012 reddwarf@opensuse.org
- First version of the package
